Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06613 Crash/Freeze Minor Always Jun 11, 2017, 20:12 Jul 3, 2017, 23:17
Tester M.A.S.H. View Status Public Platform Other
Assigned To Haze Resolution Fixed OS Other
Status [?] Resolved Driver rohga.cpp
Version 0.186 Fixed in Version 0.188 Build Other
Summary 06613: schmeisr: Exception on exit
Description When you press ESC to exit after second screen ("Hot-B") or insert coin after first screen ("Notice" screen)
you get an exception!

It crashes only under Linux 64bit and Windows XP. Not under Windows10 64bit with MAME 32bit or 64bit version.


Source:
In MAME 0.182 the MACHINE_CONFIG of Schmeiser Robo was changed
from
MCFG_DECO16IC_WIDTH12(1)
to
MCFG_DECO16IC_WIDTH12(1|4)

If you change MCFG_DECO16IC_WIDTH12 back to (1) the bug is gone!

Steps To Reproduce
Additional Information Linux 64 (Mint) Version/MAME 0.185

nitro@nitro-P5QL-PRO ~ $ mame schmeisr
Average speed: 63.91% (4 seconds)
*** Error in `mame': free(): invalid pointer: 0x000055e65417b2e0 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x777e5)[0x7faa102ca7e5]
/lib/x86_64-linux-gnu/libc.so.6(+0x7fe0a)[0x7faa102d2e0a]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x4c)[0x7faa102d698c]
mame(+0x7835c64)[0x55e64a402c64]
mame(+0x7835ce9)[0x55e64a402ce9]
mame(+0x7836ec0)[0x55e64a403ec0]
mame(+0x77c95a5)[0x55e64a3965a5]
mame(+0x5b44567)[0x55e648711567]
mame(+0x5bc052d)[0x55e64878d52d]
mame(+0x5bc074e)[0x55e64878d74e]
mame(+0x5b42485)[0x55e64870f485]
mame(main+0xda)[0x55e6465477da]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0)[0x7faa10273830]
mame(+0x39e0339)[0x55e6465ad339]
.
.
.

Windows XP 32Bit
-----------------------------------------------------
Exception at EIP=7c921e58 (register_frame_ctor+0x761e0968): ACCESS VIOLATION
While attempting to read memory at 00000000
-----------------------------------------------------
EAX=103d3818 EBX=003e0000 ECX=00000000 EDX=00000000
ESI=103d3810 EDI=103d4018 EBP=0022bf1c ESP=0022bf10
-----------------------------------------------------
Stack crawl:
  0022bf1c: 7c921e58 (RtlInitializeCriticalSection+0x032b)
  0022bff0: 7c920d5c (wcsncpy+0x02cd)
  0022c038: 77bfc2de (free+0x00c3)
  0022c058: 0349d9f8 (bitmap_t::~bitmap_t()+0x0038)
  0022c078: 032c607b (tilemap_t::~tilemap_t()+0x004b)
  0022c098: 032c610e (tilemap_t::~tilemap_t()+0x000e)
  0022c0a8: 032c8124 (tilemap_manager::~tilemap_manager()+0x0064)
  0022c0e8: 0326ca83 (running_machine::~running_machine()+0x0943)
  0022f938: 01bc792e (mame_machine_manager::execute()+0x021e)
  0022f9e8: 01c27b22 (cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>,std::allocator<char> > > >&)+0x01f2)
  0022fad8: 01c27d39 (cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x0039)
  0022fb08: 01bc595d (emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x002d)
  0022fe88: 01b2766f (utf8_main(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x011f)
  0022fef8: 0378fcab (wmain+0x013b)
  0022ffc0: 004013f0 (__tmainCRTStartup+0x0280)
  0022fff0: 7c816fd7 (RegisterWaitForInputIdle+0x0049)
Flags
Regression Version 0.182
Affected Sets / Systems schmeisr
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.13910
Tafoid
Administrator
Jun 14, 2017, 22:02
I can't confirm first hand, but another user in Linux was able to. Unsure on solution but it seems like a typo or something.
User avatar
No.13911
Haze
Senior Tester
Jun 15, 2017, 12:58
it's probably reading past the end of the rowscroll ram or something.. need to check it, MASH's suggested change will break hangzo.
User avatar
No.13959
M.A.S.H.
Senior Tester
Jul 3, 2017, 23:17
Compiled/test source. Bug is fixed!:
https://git.redump.net/mame/commit/?id=b77eefdd01d6dc59da4ed2e6016e549bb9c25f06